Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 154992 - AssertionError at org.netbeans.modules.java.source.JavaFileFilterQuery.getFilter
AssertionError at org.netbeans.modules.java.source.JavaFileFilterQuery.getFilter
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Source
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Max Sauer
issues@java
http://statistics.netbeans.org/except...
EXCEPTIONS_REPORT
:
Depends on:
Blocks: 154404
  Show dependency treegraph
 
Reported: 2008-12-09 08:29 UTC by pribyl
Modified: 2009-03-24 15:55 UTC (History)
12 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (1.82 KB, text/plain)
2008-12-09 08:30 UTC, pribyl
Details
stacktrace (1.82 KB, text/plain)
2009-01-15 13:54 UTC, Jiri Prox
Details
stacktrace (1.82 KB, text/plain)
2009-01-18 16:11 UTC, sreimers
Details
stacktrace (1.82 KB, text/plain)
2009-02-02 09:31 UTC, chronosmark
Details
stacktrace (1.47 KB, text/plain)
2009-02-05 13:46 UTC, Petr Dvorak
Details
stacktrace (1.47 KB, text/plain)
2009-02-05 13:47 UTC, Petr Dvorak
Details
stacktrace (1.82 KB, text/plain)
2009-02-09 08:38 UTC, chronosmark
Details
stacktrace (1.82 KB, text/plain)
2009-02-10 19:03 UTC, Filip Zamboj
Details
stacktrace (1.82 KB, text/plain)
2009-02-12 13:51 UTC, Max Sauer
Details
stacktrace (1.82 KB, text/plain)
2009-02-18 14:34 UTC, Filip Zamboj
Details
stacktrace (1.82 KB, text/plain)
2009-02-24 12:20 UTC, Filip Zamboj
Details
stacktrace (1.82 KB, text/plain)
2009-03-24 15:55 UTC, Max Sauer
Details

Note You need to log in before you can comment on or make changes to this bug.
Description pribyl 2008-12-09 08:29:50 UTC
Build: NetBeans IDE Dev (Build 200812080201)
VM: Java HotSpot(TM) Client VM, 11.0-b15, Java(TM) SE Runtime Environment, 1.6.0_10-rc-b28
OS: Windows XP, 5.1, x86

User Comments:
pribyl: I was debugging simple form file (three JButtons and Three JLabels).
During the debugging, I created new watch, started to type one label's name ("lblSource"), but I typed only lblSour and tried to invoke code completion by Ctrl+Space

GUEST: try to add code template abbr.

pribyl: I was debugging simple form file (three JButtons and Three JLabels).
During the debugging, I created new watch, started to type one label's name ("lblSource"), but I typed only lblSour and tried to invoke code completion by Ctrl+Space



Stacktrace: 
java.lang.AssertionError
        at org.netbeans.modules.java.source.JavaFileFilterQuery.getFilter(JavaFileFilterQuery.java:60)
        at org.netbeans.modules.java.source.parsing.JavacParser.<init>(JavacParser.java:223)
        at org.netbeans.modules.java.source.parsing.JavacParserFactory.createParser(JavacParserFactory.java:64)
        at org.netbeans.modules.java.source.parsing.JavacParserFactory.createParser(JavacParserFactory.java:56)
        at org.netbeans.modules.parsing.impl.SourceCache.getParser(SourceCache.java:151)
        at org.netbeans.modules.parsing.impl.SourceCache.getResult(SourceCache.java:164)
Comment 1 pribyl 2008-12-09 08:30:00 UTC
Created attachment 74733 [details]
stacktrace
Comment 2 Jiri Prox 2009-01-15 13:54:04 UTC
Build: NetBeans IDE Dev (Build 20090115032805)
VM: Java HotSpot(TM) Client VM, 11.0-b16, Java(TM) SE Runtime Environment, 1.6.0_11-b03
OS: Linux, 2.6.24-23-generic, i386

User Comments: 
AE when calling code completion to finish local variable in Evaluate Code window

Stacktrace: 
java.lang.AssertionError
        at org.netbeans.modules.java.source.JavaFileFilterQuery.getFilter(JavaFileFilterQuery.java:60)
        at org.netbeans.modules.java.source.parsing.JavacParser.<init>(JavacParser.java:223)
        at org.netbeans.modules.java.source.parsing.JavacParserFactory.createParser(JavacParserFactory.java:64)
        at org.netbeans.modules.java.source.parsing.JavacParserFactory.createParser(JavacParserFactory.java:56)
        at org.netbeans.modules.parsing.impl.SourceCache.getParser(SourceCache.java:154)
        at org.netbeans.modules.parsing.impl.SourceCache.getResult(SourceCache.java:167)
Comment 3 Jiri Prox 2009-01-15 13:54:13 UTC
Created attachment 75856 [details]
stacktrace
Comment 4 sreimers 2009-01-18 16:11:22 UTC
Build: NetBeans IDE Dev (Build 20090117164317)
VM: Java HotSpot(TM) Server VM, 11.0-b16, Java(TM) SE Runtime Environment, 1.6.0_11-b03
OS: Windows XP, 5.1, x86

User Comments: 
evaluating Java expression in Evaluate Code view during debugging

Stacktrace: 
java.lang.AssertionError
        at org.netbeans.modules.java.source.JavaFileFilterQuery.getFilter(JavaFileFilterQuery.java:60)
        at org.netbeans.modules.java.source.parsing.JavacParser.<init>(JavacParser.java:223)
        at org.netbeans.modules.java.source.parsing.JavacParserFactory.createParser(JavacParserFactory.java:64)
        at org.netbeans.modules.java.source.parsing.JavacParserFactory.createParser(JavacParserFactory.java:56)
        at org.netbeans.modules.parsing.impl.SourceCache.getParser(SourceCache.java:154)
        at org.netbeans.modules.parsing.impl.SourceCache.getResult(SourceCache.java:167)
Comment 5 sreimers 2009-01-18 16:11:33 UTC
Created attachment 75950 [details]
stacktrace
Comment 6 chronosmark 2009-02-02 09:31:40 UTC
Build: NetBeans IDE Dev (Build 200902011401)
VM: Java HotSpot(TM) Server VM, 10.0-b22, Java(TM) SE Runtime Environment, 1.6.0_06-b02
OS: Windows XP, 5.1, x86

User Comments: 
Trying to autocomplete in evaluate expression window

Stacktrace: 
java.lang.AssertionError
        at org.netbeans.modules.java.source.JavaFileFilterQuery.getFilter(JavaFileFilterQuery.java:60)
        at org.netbeans.modules.java.source.parsing.JavacParser.<init>(JavacParser.java:223)
        at org.netbeans.modules.java.source.parsing.JavacParserFactory.createParser(JavacParserFactory.java:64)
        at org.netbeans.modules.java.source.parsing.JavacParserFactory.createParser(JavacParserFactory.java:56)
        at org.netbeans.modules.parsing.impl.SourceCache.getParser(SourceCache.java:154)
        at org.netbeans.modules.parsing.impl.SourceCache.getResult(SourceCache.java:167)
Comment 7 chronosmark 2009-02-02 09:31:44 UTC
Created attachment 76448 [details]
stacktrace
Comment 8 Petr Dvorak 2009-02-05 13:46:20 UTC
Build: NetBeans IDE Dev (Build 200902031446)
VM: Java HotSpot(TM) Client VM, 11.0-b15, Java(TM) SE Runtime Environment, 1.6.0_10-b33
OS: Linux, 2.6.27-11-generic, i386

User Comments: 
I switched from Keymap to Editor in the Options dialog.

Stacktrace: 
java.lang.AssertionError
        at org.netbeans.modules.java.source.JavaFileFilterQuery.getFilter(JavaFileFilterQuery.java:60)
        at org.netbeans.modules.java.source.parsing.JavacParser.<init>(JavacParser.java:223)
        at org.netbeans.modules.java.source.parsing.JavacParserFactory.createParser(JavacParserFactory.java:64)
        at org.netbeans.modules.java.source.parsing.JavacParserFactory.createParser(JavacParserFactory.java:56)
        at org.netbeans.modules.parsing.impl.SourceCache.getParser(SourceCache.java:154)
        at org.netbeans.modules.parsing.impl.SourceCache.getResult(SourceCache.java:167)
Comment 9 Petr Dvorak 2009-02-05 13:46:24 UTC
Created attachment 76603 [details]
stacktrace
Comment 10 Petr Dvorak 2009-02-05 13:47:21 UTC
Build: NetBeans IDE Dev (Build 200902031446)
VM: Java HotSpot(TM) Client VM, 11.0-b15, Java(TM) SE Runtime Environment, 1.6.0_10-b33
OS: Linux, 2.6.27-11-generic, i386

User Comments: 
Quickly switching between Editor and Keymap panels of the options dialog.

Stacktrace: 
java.lang.AssertionError
        at org.netbeans.modules.java.source.JavaFileFilterQuery.getFilter(JavaFileFilterQuery.java:60)
        at org.netbeans.modules.java.source.parsing.JavacParser.<init>(JavacParser.java:223)
        at org.netbeans.modules.java.source.parsing.JavacParserFactory.createParser(JavacParserFactory.java:64)
        at org.netbeans.modules.java.source.parsing.JavacParserFactory.createParser(JavacParserFactory.java:56)
        at org.netbeans.modules.parsing.impl.SourceCache.getParser(SourceCache.java:154)
        at org.netbeans.modules.parsing.impl.SourceCache.getResult(SourceCache.java:167)
Comment 11 Petr Dvorak 2009-02-05 13:47:24 UTC
Created attachment 76604 [details]
stacktrace
Comment 12 chronosmark 2009-02-09 08:38:38 UTC
Build: NetBeans IDE Dev (Build 200902070301)
VM: Java HotSpot(TM) Server VM, 10.0-b22, Java(TM) SE Runtime Environment, 1.6.0_06-b02
OS: Windows XP, 5.1, x86

User Comments: 
Attempting to use evaluate expression window.

Stacktrace: 
java.lang.AssertionError
        at org.netbeans.modules.java.source.JavaFileFilterQuery.getFilter(JavaFileFilterQuery.java:60)
        at org.netbeans.modules.java.source.parsing.JavacParser.<init>(JavacParser.java:223)
        at org.netbeans.modules.java.source.parsing.JavacParserFactory.createParser(JavacParserFactory.java:64)
        at org.netbeans.modules.java.source.parsing.JavacParserFactory.createParser(JavacParserFactory.java:56)
        at org.netbeans.modules.parsing.impl.SourceCache.getParser(SourceCache.java:154)
        at org.netbeans.modules.parsing.impl.SourceCache.getResult(SourceCache.java:167)
Comment 13 chronosmark 2009-02-09 08:38:42 UTC
Created attachment 76730 [details]
stacktrace
Comment 14 Filip Zamboj 2009-02-10 19:03:09 UTC
Build: NetBeans IDE Dev (Build 200902091451)
VM: Java HotSpot(TM) 64-Bit Server VM, 11.0-b16, Java(TM) SE Runtime Environment, 1.6.0_11-b03
OS: Linux, 2.6.27-11-generic, amd64

User Comments: 
I just tried to write into Expression evaluator editor

steps:
1. run debugging session
2. run evaluate expression 
3. write something that invokes code completion, java. for instance
4. you got expression

Stacktrace: 
java.lang.AssertionError
        at org.netbeans.modules.java.source.JavaFileFilterQuery.getFilter(JavaFileFilterQuery.java:60)
        at org.netbeans.modules.java.source.parsing.JavacParser.<init>(JavacParser.java:223)
        at org.netbeans.modules.java.source.parsing.JavacParserFactory.createParser(JavacParserFactory.java:64)
        at org.netbeans.modules.java.source.parsing.JavacParserFactory.createParser(JavacParserFactory.java:56)
        at org.netbeans.modules.parsing.impl.SourceCache.getParser(SourceCache.java:154)
        at org.netbeans.modules.parsing.impl.SourceCache.getResult(SourceCache.java:167)
Comment 15 Filip Zamboj 2009-02-10 19:03:23 UTC
Created attachment 76814 [details]
stacktrace
Comment 16 Filip Zamboj 2009-02-10 19:05:00 UTC
the last point in my comment supposed to be:

you got exception (not expression)

Comment 17 Max Sauer 2009-02-12 13:51:19 UTC
Build: NetBeans IDE Dev (Build 090209)
VM: Java HotSpot(TM) Client VM, 1.5.0_16-133, Java(TM) 2 Runtime Environment, Standard Edition, 1.5.0_16-b06-284
OS: Mac OS X, 10.5.6, i386

User Comments: 
Debugged a j2se project, while a BP being hit, I invoked 'Evalauate Expression', inside of the dialog, I invoked CC.

Stacktrace: 
java.lang.AssertionError
        at org.netbeans.modules.java.source.JavaFileFilterQuery.getFilter(JavaFileFilterQuery.java:60)
        at org.netbeans.modules.java.source.parsing.JavacParser.<init>(JavacParser.java:223)
        at org.netbeans.modules.java.source.parsing.JavacParserFactory.createParser(JavacParserFactory.java:64)
        at org.netbeans.modules.java.source.parsing.JavacParserFactory.createParser(JavacParserFactory.java:56)
        at org.netbeans.modules.parsing.impl.SourceCache.getParser(SourceCache.java:154)
        at org.netbeans.modules.parsing.impl.SourceCache.getResult(SourceCache.java:167)
Comment 18 Max Sauer 2009-02-12 13:51:24 UTC
Created attachment 76921 [details]
stacktrace
Comment 19 Max Sauer 2009-02-12 13:53:21 UTC
It would be nice to have this fixed, CC in Evaluate Expression dialog does not work at all.
Comment 20 Filip Zamboj 2009-02-18 14:34:40 UTC
Build: NetBeans IDE Dev (Build 200902180201)
VM: Java HotSpot(TM) 64-Bit Server VM, 11.2-b01, Java(TM) SE Runtime Environment, 1.6.0_12-ea-b03
OS: Linux, 2.6.27-11-generic, amd64

User Comments: 
Code completion in Expression Evaluator throws this. I was calling code completion on global variable referencing an object. Exception was thrown right after call without any delay. 

Stacktrace: 
java.lang.AssertionError
        at org.netbeans.modules.java.source.JavaFileFilterQuery.getFilter(JavaFileFilterQuery.java:60)
        at org.netbeans.modules.java.source.parsing.JavacParser.<init>(JavacParser.java:223)
        at org.netbeans.modules.java.source.parsing.JavacParserFactory.createParser(JavacParserFactory.java:64)
        at org.netbeans.modules.java.source.parsing.JavacParserFactory.createParser(JavacParserFactory.java:56)
        at org.netbeans.modules.parsing.impl.SourceCache.getParser(SourceCache.java:154)
        at org.netbeans.modules.parsing.impl.SourceCache.getResult(SourceCache.java:167)
Comment 21 Filip Zamboj 2009-02-18 14:34:45 UTC
Created attachment 77105 [details]
stacktrace
Comment 22 Filip Zamboj 2009-02-24 12:20:15 UTC
Build: NetBeans IDE Dev (Build 200902231810)
VM: Java HotSpot(TM) 64-Bit Server VM, 11.2-b01, Java(TM) SE Runtime Environment, 1.6.0_12-b04
OS: Linux, 2.6.27-11-generic, amd64

User Comments: 
code completion in evaluate expression

Stacktrace: 
java.lang.AssertionError
        at org.netbeans.modules.java.source.JavaFileFilterQuery.getFilter(JavaFileFilterQuery.java:60)
        at org.netbeans.modules.java.source.parsing.JavacParser.<init>(JavacParser.java:223)
        at org.netbeans.modules.java.source.parsing.JavacParserFactory.createParser(JavacParserFactory.java:64)
        at org.netbeans.modules.java.source.parsing.JavacParserFactory.createParser(JavacParserFactory.java:56)
        at org.netbeans.modules.parsing.impl.SourceCache.getParser(SourceCache.java:154)
        at org.netbeans.modules.parsing.impl.SourceCache.getResult(SourceCache.java:167)
Comment 23 Filip Zamboj 2009-02-24 12:20:25 UTC
Created attachment 77292 [details]
stacktrace
Comment 24 Max Sauer 2009-03-10 14:47:22 UTC
Fixed.
---
http://hg.netbeans.org/jet-main/rev/cf0bd7878705
Comment 25 Quality Engineering 2009-03-11 10:14:28 UTC
Integrated into 'main-golden', will be available in build *200903110259* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/cf0bd7878705
User: Max Sauer <msauer@netbeans.org>
Log: #154992: AE at o.n.m.java.source.JavaFileFilterQuery.getFilter
Comment 26 Max Sauer 2009-03-24 15:55:54 UTC
Build: NetBeans IDE Dev (Build 090227)
VM: Java HotSpot(TM) 64-Bit Server VM, 1.6.0_07-b06-57, Java(TM) SE Runtime Environment, 1.6.0_07-b06-153
OS: Mac OS X, 10.5.6, x86_64

User Comments: 


Stacktrace: 
java.lang.AssertionError
        at org.netbeans.modules.java.source.JavaFileFilterQuery.getFilter(JavaFileFilterQuery.java:60)
        at org.netbeans.modules.java.source.parsing.JavacParser.<init>(JavacParser.java:223)
        at org.netbeans.modules.java.source.parsing.JavacParserFactory.createParser(JavacParserFactory.java:64)
        at org.netbeans.modules.java.source.parsing.JavacParserFactory.createParser(JavacParserFactory.java:56)
        at org.netbeans.modules.parsing.impl.SourceCache.getParser(SourceCache.java:154)
        at org.netbeans.modules.parsing.impl.SourceCache.getResult(SourceCache.java:167)
Comment 27 Max Sauer 2009-03-24 15:55:59 UTC
Created attachment 78762 [details]
stacktrace


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo